Subject: Re: [bug#66396] [PATCH] guix: Add case to Github url updater.
From: Ludovic Courtès <[email-masked]>
To: paul <[email-masked]>
Cc: [email-masked]
Date: Wed, 17 Apr 2024 11:12:47 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

paul <[email-masked]> skribis:

> I made a detailed analysis on the current status of the updater. I'm
> attaching the source code I used.
>
> There are ~239 packages (probably with some false positive due to
> deprecated packages I believe) that have a github.com origin-uri that
> currently are marked as having no updater:
>
> guix time-machine -C channels-lock.scm -- repl -- t.scm | grep github.com | awk '{ print $1 }' | wc -l
>
> 239
>
> This patch allows the following packages (and probably more in
> downstream channels) to be refreshed:

Got it.  Finally applied with a commit log that explains this.

Thanks!

Ludo’.